Subject: Re: [nwcrg] NC tutorial

From: Vincent Roca <[email-masked]>
Date: Wed, 1 Apr 2015 09:35:13 +0200

Great. It should be useful to introduce NC concepts in the light of previous IETF activities in terms of content delivery protocols and AL-FEC schemes,
plus CC and other aspects if meaningful. There’s a lot to say…
I did something similar a year ago, https://hal.inria.fr/hal-00948895 <https://hal.inria.fr/hal-00948895> , probably too Inria-centric on some parts, but it’s easy to fix.

Cheers,

  Vincent

> Le 31 mars 2015 à 16:17, jonathan detchart <[email-masked]> a écrit :
> 
> We (the Tetrysians) are interested to participate.
> 
> Thank you Victor for sharing the existing document with the list.
> Another document to put on a public repo with the architecture draft.
> 
> Jonathan
>> On 31 Mar 2015, at 14:34, Marie-Jose Montpetit <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> Yes interesting! I think I know that team from EU programs.
>> 
>> But I think we need more of an IETF-oriented tutorial with yes the coding fundamentals but more framework/protocol information and of course address the issues of congestion control that were raised in the past and in Dallas. Hence my reaching out to our FECFRAME colleagues to set the 'tone' and then I suppose for the different solution-owners to contribute if they are interested (Morten, Cedric, Jonathan...).
>> 
>> Maybe posting what you had done with Muriel and Joao would get the ball rolling?
>> 
>> Thanks
>> 
>> Marie-José Montpetit
>> [email-masked] <mailto:[email-masked]>
>> 
>> On Mar 30, 2015, at 11:40, Firoiu, Victor (US SSA) <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>>> I found this recent survey informative and useful as it is systematic in its summarization. It contains much more than a tutorial, but it is a good source of information.
>>> 
>>> “Network Coding Theory: A Survey,” Riccardo Bassoli, Hugo Marques, Jonathan Rodriguez, Kenneth W. Shum and Rahim Tafazolli, Communications Surveys & Tutorials, IEEE  (Volume:15 ,  Issue: 4 ), February 2013.
>>> http://home.ie.cuhk.edu.hk/~wkshum/papers/NCsurvey.pdf <http://home.ie.cuhk.edu.hk/~wkshum/papers/NCsurvey.pdf>
>>> 
>>> Victor
>>> 
>>> From: nwcrg [mailto:[email-masked] <mailto:[email-masked]>] On Behalf Of Morten V. Pedersen
>>> Sent: Monday, March 30, 2015 11:24 AM
>>> To: [email-masked] <mailto:[email-masked]>
>>> Subject: Re: [nwcrg] NC tutorial
>>> 
>>> I think a tutorial document and session would be a nice contribution. Perhaps a Sunday tutorial session based on the document created?
>>> 
>>> - M
>>> 
>>> 
>>> On 03/30/2015 11:15 AM, Marie-Jose Montpetit wrote:
>>> I actually seek the advice of the group since I know there is information somewhere. Maybe do a joint tutorial on the Sunday in Prague? With all stakeholders involved? Someone like you or Vincent Roca who have been there before would be perfect to be the main presenters with presentations from subject experts?
>>> 
>>> 
>>> Marie-Jose Montpetit, Ph.D.
>>> [email-masked] <mailto:[email-masked]>
>>> @SocialTVMIT
>>> 
>>> On Mar 30, 2015, at 11:02 AM, Brian Adamson <[email-masked] <mailto:[email-masked]>> wrote:
>>> 
>>> It’s probably worthwhile to do something like this. Were you thinking a presentation type format?  Or something else? On the former, I provided and “RMT Retrospective” brief at one of the earlier NWCRG meetings that may have some useful content to put in the context you suggest here.
>>> 
>>> - Brian
>>> 
>>> On Mar 30, 2015, at 10:51 AM, Marie-Jose Montpetit <[email-masked] <mailto:[email-masked]>> wrote:
>>> 
>>> After Friday I was asked many times for a “tutorial” as a number of participants wanted to know more about NC.
>>> 
>>> It made me look at what is available publicly. And there is very little.
>>> 
>>> I have been using the Christina Fragouli paper of 2006 that while giving a good overview and being at the “right level” is now a bit dated:
>>> algo.epfl.ch/~christin/primer.ps <http://algo.epfl.ch/%7Echristin/primer.ps>
>>> And we wrote a paper on "Network Coding Myths” that can also give background:
>>> http://www.rle.mit.edu/ncrc/wp-content/uploads/2014/09/2014_butterflies.pdf <http://www.rle.mit.edu/ncrc/wp-content/uploads/2014/09/2014_butterflies.pdf>
>>> 
>>> There are of course other scientific papers that all have some background but those are usually more fundamental research.
>>> And sadly the more recent tutorial materials are only offered in scientific conferences, corporate briefings or professional training.
>>> 
>>> And in any case I think we need to also position NC in the evolution of the IEFT from pilc, RMT and FECFRAME and the creation of TCP “flavors”, congestion control and buffer management as well as routing. Not a small task!
>>> 
>>> Would that be something the group could collaborate to collectively? But of course it’s another distraction from the goals of the research group.
>>> 
>>> 
>>> Marie-Jose Montpetit, Ph.D.
>>> [email-masked] <mailto:[email-masked]>
>>> @SocialTVMIT
>>> 
>>> _______________________________________________
>>> nwcrg mailing list
>>> [email-masked] <mailto:[email-masked]>
>>> https://www.irtf.org/mailman/listinfo/nwcrg <https://www.irtf.org/mailman/listinfo/nwcrg>
>>> 
>>> 
>>> 
>>> 
>>> 
>>> _______________________________________________
>>> nwcrg mailing list
>>> [email-masked] <mailto:[email-masked]>
>>> https://www.irtf.org/mailman/listinfo/nwcrg <https://www.irtf.org/mailman/listinfo/nwcrg>
>>> 
>>> _______________________________________________
>>> nwcrg mailing list
>>> [email-masked] <mailto:[email-masked]>
>>> https://www.irtf.org/mailman/listinfo/nwcrg <https://www.irtf.org/mailman/listinfo/nwcrg>
>> _______________________________________________
>> nwcrg mailing list
>> [email-masked] <mailto:[email-masked]>
>> https://www.irtf.org/mailman/listinfo/nwcrg <https://www.irtf.org/mailman/listinfo/nwcrg>
> _______________________________________________
> nwcrg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/nwcrg